package keymon.lat.medicomed;

import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.pc.*;

public class starter_subs_0 {


public static RemoteObject  _application_error(RemoteObject _error,RemoteObject _stacktrace) throws Exception{
try {
		Debug.PushSubsStack("Application_Error (starter) ","starter",2,starter.processBA,starter.mostCurrent,111);
if (RapidSub.canDelegate("application_error")) { return keymon.lat.medicomed.starter.remoteMe.runUserSub(false, "starter","application_error", _error, _stacktrace);}
RemoteObject _jo = RemoteObject.declareNull("anywheresoftware.b4j.object.JavaObject");
RemoteObject _l = RemoteObject.createImmutable(0L);
Debug.locals.put("Error", _error);
Debug.locals.put("StackTrace", _stacktrace);
 BA.debugLineNum = 111;BA.debugLine="Sub Application_Error (Error As Exception, StackTr";
Debug.ShouldStop(16384);
 BA.debugLineNum = 113;BA.debugLine="Dim jo As JavaObject";
Debug.ShouldStop(65536);
_jo = RemoteObject.createNew ("anywheresoftware.b4j.object.JavaObject");Debug.locals.put("jo", _jo);
 BA.debugLineNum = 114;BA.debugLine="Dim l As Long = 500: jo.InitializeStatic(\"java.la";
Debug.ShouldStop(131072);
_l = BA.numberCast(long.class, 500);Debug.locals.put("l", _l);Debug.locals.put("l", _l);
 BA.debugLineNum = 114;BA.debugLine="Dim l As Long = 500: jo.InitializeStatic(\"java.la";
Debug.ShouldStop(131072);
_jo.runMethod(false,"InitializeStatic",(Object)(RemoteObject.createImmutable("java.lang.Thread"))).runVoidMethod ("RunMethod",(Object)(BA.ObjectToString("sleep")),(Object)(RemoteObject.createNewArray("Object",new int[] {1},new Object[] {(_l)})));
 BA.debugLineNum = 115;BA.debugLine="logcat.LogCatStop";
Debug.ShouldStop(262144);
starter._logcat.runVoidMethod ("LogCatStop");
 BA.debugLineNum = 116;BA.debugLine="logs.Append(StackTrace)";
Debug.ShouldStop(524288);
starter._logs.runVoidMethod ("Append",(Object)(_stacktrace));
 BA.debugLineNum = 117;BA.debugLine="Subs.revisaBD";
Debug.ShouldStop(1048576);
starter.mostCurrent._subs.runVoidMethod ("_revisabd" /*RemoteObject*/ ,starter.processBA);
 BA.debugLineNum = 118;BA.debugLine="Subs.errorLog.ExecNonQuery2(\"INSERT INTO errores(";
Debug.ShouldStop(2097152);
starter.mostCurrent._subs._errorlog /*RemoteObject*/ .runVoidMethod ("ExecNonQuery2",(Object)(BA.ObjectToString("INSERT INTO errores(fecha, error) VALUES (?,?)")),(Object)(starter.mostCurrent.__c.runMethod(false, "ArrayToList", (Object)(RemoteObject.createNewArray("Object",new int[] {2},new Object[] {(starter.mostCurrent._subs.runMethod(true,"_fechakmt" /*RemoteObject*/ ,starter.processBA,(Object)(BA.NumberToString(starter.mostCurrent.__c.getField(false,"DateTime").runMethod(true,"getNow"))))),(starter._logs.getObject())})))));
 BA.debugLineNum = 119;BA.debugLine="Return True";
Debug.ShouldStop(4194304);
if (true) return starter.mostCurrent.__c.getField(true,"True");
 BA.debugLineNum = 120;BA.debugLine="End Sub";
Debug.ShouldStop(8388608);
return RemoteObject.createImmutable(false);
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _envia_ultima_gps() throws Exception{
try {
		Debug.PushSubsStack("ENVIA_ULTIMA_GPS (starter) ","starter",2,starter.processBA,starter.mostCurrent,73);
if (RapidSub.canDelegate("envia_ultima_gps")) { return keymon.lat.medicomed.starter.remoteMe.runUserSub(false, "starter","envia_ultima_gps");}
RemoteObject _skmt = RemoteObject.declareNull("anywheresoftware.b4a.sql.SQL");
RemoteObject _cmd = RemoteObject.declareNull("keymon.lat.medicomed.dbrequestmanager._dbcommand");
 BA.debugLineNum = 73;BA.debugLine="Sub ENVIA_ULTIMA_GPS";
Debug.ShouldStop(256);
 BA.debugLineNum = 74;BA.debugLine="If IsConnectedToInternet Or 1 = 1 Then";
Debug.ShouldStop(512);
if (RemoteObject.solveBoolean(".",_isconnectedtointernet()) || RemoteObject.solveBoolean("=",RemoteObject.createImmutable(1),BA.numberCast(double.class, 1))) { 
 BA.debugLineNum = 75;BA.debugLine="Dim logger As Boolean = True";
Debug.ShouldStop(1024);
starter._logger = starter.mostCurrent.__c.getField(true,"True");
 BA.debugLineNum = 77;BA.debugLine="Dim skmt As SQL";
Debug.ShouldStop(4096);
_skmt = RemoteObject.createNew ("anywheresoftware.b4a.sql.SQL");Debug.locals.put("skmt", _skmt);
 BA.debugLineNum = 78;BA.debugLine="Dim cmd As DBCommand";
Debug.ShouldStop(8192);
_cmd = RemoteObject.createNew ("keymon.lat.medicomed.dbrequestmanager._dbcommand");Debug.locals.put("cmd", _cmd);
 BA.debugLineNum = 79;BA.debugLine="skmt.Initialize(ruta,\"kmt.db\", False)";
Debug.ShouldStop(16384);
_skmt.runVoidMethod ("Initialize",(Object)(starter._ruta),(Object)(BA.ObjectToString("kmt.db")),(Object)(starter.mostCurrent.__c.getField(true,"False")));
 BA.debugLineNum = 83;BA.debugLine="Dim cmd As DBCommand";
Debug.ShouldStop(262144);
_cmd = RemoteObject.createNew ("keymon.lat.medicomed.dbrequestmanager._dbcommand");Debug.locals.put("cmd", _cmd);
 BA.debugLineNum = 84;BA.debugLine="cmd.Initialize";
Debug.ShouldStop(524288);
_cmd.runVoidMethod ("Initialize");
 BA.debugLineNum = 85;BA.debugLine="cmd.Name = \"UPDATE_MEDI_ACTUAL2_GPS\"";
Debug.ShouldStop(1048576);
_cmd.setField ("Name" /*RemoteObject*/ ,BA.ObjectToString("UPDATE_MEDI_ACTUAL2_GPS"));
 BA.debugLineNum = 86;BA.debugLine="If B4XPages.MainPage.lat_gps.Length < 15 Then B4";
Debug.ShouldStop(2097152);
if (RemoteObject.solveBoolean("<",starter.mostCurrent._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,starter.processBA).getField(true,"_lat_gps" /*RemoteObject*/ ).runMethod(true,"length"),BA.numberCast(double.class, 15))) { 
starter.mostCurrent._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,starter.processBA).setField ("_lat_gps" /*RemoteObject*/ ,RemoteObject.concat(starter.mostCurrent._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,starter.processBA).getField(true,"_lat_gps" /*RemoteObject*/ ),RemoteObject.createImmutable("0")));};
 BA.debugLineNum = 88;BA.debugLine="cmd.Parameters = Array As Object(B4XPages.MainPa";
Debug.ShouldStop(8388608);
_cmd.setField ("Parameters" /*RemoteObject*/ ,RemoteObject.createNewArray("Object",new int[] {12},new Object[] {(starter.mostCurrent._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,starter.processBA).getField(true,"_montoactual" /*RemoteObject*/ )),(starter.mostCurrent._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,starter.processBA).getField(true,"_clientestotal" /*RemoteObject*/ )),(starter.mostCurrent._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,starter.processBA).getField(true,"_clientesventa" /*RemoteObject*/ )),(starter.mostCurrent._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,starter.processBA).getField(true,"_clientesvisitados" /*RemoteObject*/ )),(starter.mostCurrent._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,starter.processBA).getField(true,"_lat_gps" /*RemoteObject*/ )),(starter.mostCurrent._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,starter.processBA).getField(true,"_lon_gps" /*RemoteObject*/ )),(starter.mostCurrent._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,starter.processBA).getField(true,"_batt" /*RemoteObject*/ )),RemoteObject.createImmutable((0)),RemoteObject.createImmutable((0)),RemoteObject.createImmutable((0)),(starter.mostCurrent._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,starter.processBA).getField(true,"_almacen" /*RemoteObject*/ )),(starter.mostCurrent._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,starter.processBA).getField(true,"_rutapreventa" /*RemoteObject*/ ))}));
 BA.debugLineNum = 90;BA.debugLine="reqManager.ExecuteCommand(cmd, \"inst_visitas\")";
Debug.ShouldStop(33554432);
starter._reqmanager.runClassMethod (keymon.lat.medicomed.dbrequestmanager.class, "_executecommand" /*RemoteObject*/ ,(Object)(_cmd),(Object)((RemoteObject.createImmutable("inst_visitas"))));
 BA.debugLineNum = 91;BA.debugLine="skmt.ExecNonQuery2(\"Update cat_variables set CAT";
Debug.ShouldStop(67108864);
_skmt.runVoidMethod ("ExecNonQuery2",(Object)(BA.ObjectToString("Update cat_variables set CAT_VA_VALOR = ?  WHERE CAT_VA_DESCRIPCION = ?")),(Object)(starter.mostCurrent.__c.runMethod(false, "ArrayToList", (Object)(RemoteObject.createNewArray("String",new int[] {2},new Object[] {starter.mostCurrent.__c.getField(false,"DateTime").runMethod(true,"Time",(Object)(starter.mostCurrent.__c.getField(false,"DateTime").runMethod(true,"getNow"))),RemoteObject.createImmutable("HoraIngreso")})))));
 BA.debugLineNum = 93;BA.debugLine="Timer1.Enabled = False";
Debug.ShouldStop(268435456);
starter._timer1.runMethod(true,"setEnabled",starter.mostCurrent.__c.getField(true,"False"));
 BA.debugLineNum = 94;BA.debugLine="Timer1.Interval = Interval * 1000";
Debug.ShouldStop(536870912);
starter._timer1.runMethod(true,"setInterval",BA.numberCast(long.class, RemoteObject.solve(new RemoteObject[] {starter._interval,RemoteObject.createImmutable(1000)}, "*",0, 1)));
 BA.debugLineNum = 95;BA.debugLine="Timer1.Enabled = True";
Debug.ShouldStop(1073741824);
starter._timer1.runMethod(true,"setEnabled",starter.mostCurrent.__c.getField(true,"True"));
 }else {
 BA.debugLineNum = 97;BA.debugLine="Log(\"Sin conexión a internet, no se envió UTR!\")";
Debug.ShouldStop(1);
starter.mostCurrent.__c.runVoidMethod ("LogImpl","32621464",RemoteObject.createImmutable("Sin conexión a internet, no se envió UTR!"),0);
 };
 BA.debugLineNum = 100;BA.debugLine="End Sub";
Debug.ShouldStop(8);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _gps_locationchanged(RemoteObject _location1) throws Exception{
try {
		Debug.PushSubsStack("GPS_LocationChanged (starter) ","starter",2,starter.processBA,starter.mostCurrent,61);
if (RapidSub.canDelegate("gps_locationchanged")) { return keymon.lat.medicomed.starter.remoteMe.runUserSub(false, "starter","gps_locationchanged", _location1);}
Debug.locals.put("Location1", _location1);
 BA.debugLineNum = 61;BA.debugLine="Sub GPS_LocationChanged (Location1 As Location)";
Debug.ShouldStop(268435456);
 BA.debugLineNum = 63;BA.debugLine="End Sub";
Debug.ShouldStop(1073741824);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _isconnectedtointernet() throws Exception{
try {
		Debug.PushSubsStack("IsConnectedToInternet (starter) ","starter",2,starter.processBA,starter.mostCurrent,143);
if (RapidSub.canDelegate("isconnectedtointernet")) { return keymon.lat.medicomed.starter.remoteMe.runUserSub(false, "starter","isconnectedtointernet");}
RemoteObject _r = RemoteObject.declareNull("anywheresoftware.b4a.agraham.reflection.Reflection");
 BA.debugLineNum = 143;BA.debugLine="Sub IsConnectedToInternet As Boolean 'ignore";
Debug.ShouldStop(16384);
 BA.debugLineNum = 144;BA.debugLine="Dim r As Reflector";
Debug.ShouldStop(32768);
_r = RemoteObject.createNew ("anywheresoftware.b4a.agraham.reflection.Reflection");Debug.locals.put("r", _r);
 BA.debugLineNum = 145;BA.debugLine="r.Target = r.GetContext";
Debug.ShouldStop(65536);
_r.setField ("Target",(_r.runMethod(false,"GetContext",starter.processBA)));
 BA.debugLineNum = 146;BA.debugLine="r.Target = r.RunMethod2(\"getSystemService\", \"conn";
Debug.ShouldStop(131072);
_r.setField ("Target",_r.runMethod(false,"RunMethod2",(Object)(BA.ObjectToString("getSystemService")),(Object)(BA.ObjectToString("connectivity")),(Object)(RemoteObject.createImmutable("java.lang.String"))));
 BA.debugLineNum = 147;BA.debugLine="r.Target = r.RunMethod(\"getActiveNetworkInfo\")";
Debug.ShouldStop(262144);
_r.setField ("Target",_r.runMethod(false,"RunMethod",(Object)(RemoteObject.createImmutable("getActiveNetworkInfo"))));
 BA.debugLineNum = 148;BA.debugLine="If r.Target <> Null Then";
Debug.ShouldStop(524288);
if (RemoteObject.solveBoolean("N",_r.getField(false,"Target"))) { 
 BA.debugLineNum = 149;BA.debugLine="Return r.RunMethod(\"isConnectedOrConnecting\")";
Debug.ShouldStop(1048576);
if (true) return BA.ObjectToBoolean(_r.runMethod(false,"RunMethod",(Object)(RemoteObject.createImmutable("isConnectedOrConnecting"))));
 };
 BA.debugLineNum = 151;BA.debugLine="Return False";
Debug.ShouldStop(4194304);
if (true) return starter.mostCurrent.__c.getField(true,"False");
 BA.debugLineNum = 152;BA.debugLine="End Sub";
Debug.ShouldStop(8388608);
return RemoteObject.createImmutable(false);
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _jobdone(RemoteObject _job) throws Exception{
try {
		Debug.PushSubsStack("JobDone (starter) ","starter",2,starter.processBA,starter.mostCurrent,128);
if (RapidSub.canDelegate("jobdone")) { return keymon.lat.medicomed.starter.remoteMe.runUserSub(false, "starter","jobdone", _job);}
Debug.locals.put("Job", _job);
 BA.debugLineNum = 128;BA.debugLine="Sub JobDone(Job As HttpJob)";
Debug.ShouldStop(-2147483648);
 BA.debugLineNum = 132;BA.debugLine="If Job.Success = False Then";
Debug.ShouldStop(8);
if (RemoteObject.solveBoolean("=",_job.getField(true,"_success" /*RemoteObject*/ ),starter.mostCurrent.__c.getField(true,"False"))) { 
 BA.debugLineNum = 134;BA.debugLine="If Job.ErrorMessage.Contains(\"failed to connect\"";
Debug.ShouldStop(32);
if (RemoteObject.solveBoolean(".",_job.getField(true,"_errormessage" /*RemoteObject*/ ).runMethod(true,"contains",(Object)(RemoteObject.createImmutable("failed to connect")))) || RemoteObject.solveBoolean(".",_job.getField(true,"_errormessage" /*RemoteObject*/ ).runMethod(true,"contains",(Object)(RemoteObject.createImmutable("Failed to connect"))))) { 
 BA.debugLineNum = 135;BA.debugLine="ToastMessageShow(\"¡Hubo un error contactando al";
Debug.ShouldStop(64);
starter.mostCurrent.__c.runVoidMethod ("ToastMessageShow",(Object)(BA.ObjectToCharSequence("¡Hubo un error contactando al servidor, por favor revise su conexión!")),(Object)(starter.mostCurrent.__c.getField(true,"True")));
 };
 }else {
 };
 BA.debugLineNum = 141;BA.debugLine="End Sub";
Debug.ShouldStop(4096);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _logcat_logcatdata(RemoteObject _buffer,RemoteObject _length) throws Exception{
try {
		Debug.PushSubsStack("logcat_LogCatData (starter) ","starter",2,starter.processBA,starter.mostCurrent,103);
if (RapidSub.canDelegate("logcat_logcatdata")) { return keymon.lat.medicomed.starter.remoteMe.runUserSub(false, "starter","logcat_logcatdata", _buffer, _length);}
Debug.locals.put("Buffer", _buffer);
Debug.locals.put("Length", _length);
 BA.debugLineNum = 103;BA.debugLine="Private Sub logcat_LogCatData (Buffer() As Byte, L";
Debug.ShouldStop(64);
 BA.debugLineNum = 104;BA.debugLine="logs.Append(BytesToString(Buffer, 0, Length, \"utf";
Debug.ShouldStop(128);
starter._logs.runVoidMethod ("Append",(Object)(starter.mostCurrent.__c.runMethod(true,"BytesToString",(Object)(_buffer),(Object)(BA.numberCast(int.class, 0)),(Object)(_length),(Object)(RemoteObject.createImmutable("utf8")))));
 BA.debugLineNum = 105;BA.debugLine="If logs.Length > 4000 Then";
Debug.ShouldStop(256);
if (RemoteObject.solveBoolean(">",starter._logs.runMethod(true,"getLength"),BA.numberCast(double.class, 4000))) { 
 BA.debugLineNum = 106;BA.debugLine="logs.Remove(0, logs.Length - 2000) 'Obtenemos lo";
Debug.ShouldStop(512);
starter._logs.runVoidMethod ("Remove",(Object)(BA.numberCast(int.class, 0)),(Object)(RemoteObject.solve(new RemoteObject[] {starter._logs.runMethod(true,"getLength"),RemoteObject.createImmutable(2000)}, "-",1, 1)));
 };
 BA.debugLineNum = 108;BA.debugLine="End Sub";
Debug.ShouldStop(2048);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _process_globals() throws Exception{
 //BA.debugLineNum = 6;BA.debugLine="Sub Process_Globals";
 //BA.debugLineNum = 9;BA.debugLine="Public gps As GPS";
starter._gps = RemoteObject.createNew ("anywheresoftware.b4a.gps.GPS");
 //BA.debugLineNum = 10;BA.debugLine="Dim ph As Phone";
starter._ph = RemoteObject.createNew ("anywheresoftware.b4a.phone.Phone");
 //BA.debugLineNum = 11;BA.debugLine="Public rp As RuntimePermissions";
starter._rp = RemoteObject.createNew ("anywheresoftware.b4a.objects.RuntimePermissions");
 //BA.debugLineNum = 12;BA.debugLine="Public FLP As FusedLocationProvider";
starter._flp = RemoteObject.createNew ("uk.co.martinpearman.b4a.fusedlocationprovider.FusedLocationProviderWrapper");
 //BA.debugLineNum = 13;BA.debugLine="Dim reqManager As DBRequestManager";
starter._reqmanager = RemoteObject.createNew ("keymon.lat.medicomed.dbrequestmanager");
 //BA.debugLineNum = 14;BA.debugLine="Dim enVenta As Boolean = False";
starter._enventa = starter.mostCurrent.__c.getField(true,"False");
 //BA.debugLineNum = 16;BA.debugLine="Dim reqManager As DBRequestManager";
starter._reqmanager = RemoteObject.createNew ("keymon.lat.medicomed.dbrequestmanager");
 //BA.debugLineNum = 17;BA.debugLine="Dim server As String = \"http://187.189.244.154:17";
starter._server = BA.ObjectToString("http://187.189.244.154:1781");
 //BA.debugLineNum = 21;BA.debugLine="Dim Timer1 As Timer";
starter._timer1 = RemoteObject.createNew ("anywheresoftware.b4a.objects.Timer");
 //BA.debugLineNum = 22;BA.debugLine="Dim Interval As Int = 300";
starter._interval = BA.numberCast(int.class, 300);
 //BA.debugLineNum = 23;BA.debugLine="Dim ruta As String = File.DirInternal";
starter._ruta = starter.mostCurrent.__c.getField(false,"File").runMethod(true,"getDirInternal");
 //BA.debugLineNum = 25;BA.debugLine="Private logs As StringBuilder";
starter._logs = RemoteObject.createNew ("anywheresoftware.b4a.keywords.StringBuilderWrapper");
 //BA.debugLineNum = 26;BA.debugLine="Private logcat As LogCat";
starter._logcat = RemoteObject.createNew ("anywheresoftware.b4a.phone.Phone.LogCat");
 //BA.debugLineNum = 27;BA.debugLine="Dim dia_semana As String = \"\"";
starter._dia_semana = BA.ObjectToString("");
 //BA.debugLineNum = 28;BA.debugLine="Dim logger As Boolean = True";
starter._logger = starter.mostCurrent.__c.getField(true,"True");
 //BA.debugLineNum = 29;BA.debugLine="Dim marcaCel As String = ph.manufacturer";
starter._marcacel = starter._ph.runMethod(true,"getManufacturer");
 //BA.debugLineNum = 30;BA.debugLine="Public rp As RuntimePermissions";
starter._rp = RemoteObject.createNew ("anywheresoftware.b4a.objects.RuntimePermissions");
 //BA.debugLineNum = 31;BA.debugLine="Dim muestraProgreso = 0";
starter._muestraprogreso = BA.NumberToString(0);
 //BA.debugLineNum = 32;BA.debugLine="End Sub";
return RemoteObject.createImmutable("");
}
public static RemoteObject  _reinicializareqmanager() throws Exception{
try {
		Debug.PushSubsStack("reinicializaReqManager (starter) ","starter",2,starter.processBA,starter.mostCurrent,122);
if (RapidSub.canDelegate("reinicializareqmanager")) { return keymon.lat.medicomed.starter.remoteMe.runUserSub(false, "starter","reinicializareqmanager");}
 BA.debugLineNum = 122;BA.debugLine="Sub reinicializaReqManager";
Debug.ShouldStop(33554432);
 BA.debugLineNum = 123;BA.debugLine="reqManager.Initialize(Me, server)";
Debug.ShouldStop(67108864);
starter._reqmanager.runClassMethod (keymon.lat.medicomed.dbrequestmanager.class, "_initialize" /*RemoteObject*/ ,starter.processBA,(Object)(starter.getObject()),(Object)(starter._server));
 BA.debugLineNum = 125;BA.debugLine="If logger Then Log(server)";
Debug.ShouldStop(268435456);
if (starter._logger.<Boolean>get().booleanValue()) { 
starter.mostCurrent.__c.runVoidMethod ("LogImpl","32818051",starter._server,0);};
 BA.debugLineNum = 126;BA.debugLine="End Sub";
Debug.ShouldStop(536870912);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _service_create() throws Exception{
try {
		Debug.PushSubsStack("Service_Create (starter) ","starter",2,starter.processBA,starter.mostCurrent,34);
if (RapidSub.canDelegate("service_create")) { return keymon.lat.medicomed.starter.remoteMe.runUserSub(false, "starter","service_create");}
 BA.debugLineNum = 34;BA.debugLine="Sub Service_Create";
Debug.ShouldStop(2);
 BA.debugLineNum = 37;BA.debugLine="gps.Initialize(\"GPS\")";
Debug.ShouldStop(16);
starter._gps.runVoidMethod ("Initialize",(Object)(RemoteObject.createImmutable("GPS")));
 BA.debugLineNum = 39;BA.debugLine="Timer1.Initialize(\"Timer1\", Interval * 1000)";
Debug.ShouldStop(64);
starter._timer1.runVoidMethod ("Initialize",starter.processBA,(Object)(BA.ObjectToString("Timer1")),(Object)(BA.numberCast(long.class, RemoteObject.solve(new RemoteObject[] {starter._interval,RemoteObject.createImmutable(1000)}, "*",0, 1))));
 BA.debugLineNum = 40;BA.debugLine="Timer1.Enabled = True";
Debug.ShouldStop(128);
starter._timer1.runMethod(true,"setEnabled",starter.mostCurrent.__c.getField(true,"True"));
 BA.debugLineNum = 45;BA.debugLine="logs.Initialize";
Debug.ShouldStop(4096);
starter._logs.runVoidMethod ("Initialize");
 BA.debugLineNum = 47;BA.debugLine="End Sub";
Debug.ShouldStop(16384);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _service_destroy() throws Exception{
try {
		Debug.PushSubsStack("Service_Destroy (starter) ","starter",2,starter.processBA,starter.mostCurrent,69);
if (RapidSub.canDelegate("service_destroy")) { return keymon.lat.medicomed.starter.remoteMe.runUserSub(false, "starter","service_destroy");}
 BA.debugLineNum = 69;BA.debugLine="Sub Service_Destroy";
Debug.ShouldStop(16);
 BA.debugLineNum = 71;BA.debugLine="End Sub";
Debug.ShouldStop(64);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _service_start(RemoteObject _startingintent) throws Exception{
try {
		Debug.PushSubsStack("Service_Start (starter) ","starter",2,starter.processBA,starter.mostCurrent,49);
if (RapidSub.canDelegate("service_start")) { return keymon.lat.medicomed.starter.remoteMe.runUserSub(false, "starter","service_start", _startingintent);}
Debug.locals.put("StartingIntent", _startingintent);
 BA.debugLineNum = 49;BA.debugLine="Sub Service_Start (StartingIntent As Intent)";
Debug.ShouldStop(65536);
 BA.debugLineNum = 50;BA.debugLine="Service.StopAutomaticForeground 'Starter service";
Debug.ShouldStop(131072);
starter.mostCurrent._service.runVoidMethod ("StopAutomaticForeground");
 BA.debugLineNum = 51;BA.debugLine="Subs.revisaBD";
Debug.ShouldStop(262144);
starter.mostCurrent._subs.runVoidMethod ("_revisabd" /*RemoteObject*/ ,starter.processBA);
 BA.debugLineNum = 53;BA.debugLine="reqManager.Initialize(Me, server)";
Debug.ShouldStop(1048576);
starter._reqmanager.runClassMethod (keymon.lat.medicomed.dbrequestmanager.class, "_initialize" /*RemoteObject*/ ,starter.processBA,(Object)(starter.getObject()),(Object)(starter._server));
 BA.debugLineNum = 54;BA.debugLine="End Sub";
Debug.ShouldStop(2097152);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _service_taskremoved() throws Exception{
try {
		Debug.PushSubsStack("Service_TaskRemoved (starter) ","starter",2,starter.processBA,starter.mostCurrent,65);
if (RapidSub.canDelegate("service_taskremoved")) { return keymon.lat.medicomed.starter.remoteMe.runUserSub(false, "starter","service_taskremoved");}
 BA.debugLineNum = 65;BA.debugLine="Sub Service_TaskRemoved";
Debug.ShouldStop(1);
 BA.debugLineNum = 67;BA.debugLine="End Sub";
Debug.ShouldStop(4);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _timer1_tick() throws Exception{
try {
		Debug.PushSubsStack("Timer1_Tick (starter) ","starter",2,starter.processBA,starter.mostCurrent,56);
if (RapidSub.canDelegate("timer1_tick")) { return keymon.lat.medicomed.starter.remoteMe.runUserSub(false, "starter","timer1_tick");}
 BA.debugLineNum = 56;BA.debugLine="Private Sub Timer1_Tick";
Debug.ShouldStop(8388608);
 BA.debugLineNum = 58;BA.debugLine="ENVIA_ULTIMA_GPS";
Debug.ShouldStop(33554432);
_envia_ultima_gps();
 BA.debugLineNum = 59;BA.debugLine="End Sub";
Debug.ShouldStop(67108864);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
}